Eclipse Platform Release 3.7

## org.eclipse.jface.text.rules
Class MultiLineRule

    java.lang.Object
      org.eclipse.jface.text.rules.PatternRule
          org.eclipse.jface.text.rules.MultiLineRule

All Implemented Interfaces:
  IPredicateRule, IRule

    public class MultiLineRule

extends PatternRule

A rule for detecting patterns which begin with a given sequence and may end with a given sequence thereby spanning multiple lines.

Field Summary

Fields inherited from class org.eclipse.jface.text.rules.PatternRule
`fBreaksOnEOF, fBreaksOnEOL, fColumn, fEndSequence, fEscapeCharacter, fEscapeContinuesLine, fStartSequence, fToken, UNDEFINED`

Constructor Summary
`MultiLineRule(String startSequence, String endSequence, IToken token)` Creates a rule for the given starting and ending sequence which, if detected, will return the specified token.
`MultiLineRule(String startSequence, String endSequence, IToken token, char escapeCharacter)` Creates a rule for the given starting and ending sequence which, if detected, will return the specific token.
`MultiLineRule(String startSequence, String endSequence, IToken token, char escapeCharacter, boolean breaksOnEOF)` Creates a rule for the given starting and ending sequence which, if detected, will return the specific token.

Method Summary

Methods inherited from class org.eclipse.jface.text.rules.PatternRule
`doEvaluate, doEvaluate, endSequenceDetected, evaluate, evaluate, getSuccessToken, sequenceDetected, setColumnConstraint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiLineRule

    public MultiLineRule(String startSequence,
                         String endSequence,
                         IToken token)

  Creates a rule for the given starting and ending sequence which, if detected, will return the specified token.

  Parameters:
    `startSequence` - the pattern's start sequence
    `endSequence` - the pattern's end sequence
    `token` - the token to be returned on success

### MultiLineRule

    public MultiLineRule(String startSequence,
                         String endSequence,
                         IToken token,
                         char escapeCharacter)

  Creates a rule for the given starting and ending sequence which, if detected, will return the specific token. Any character which follows the given escape character will be ignored.

  Parameters:
    `startSequence` - the pattern's start sequence
    `endSequence` - the pattern's end sequence
    `token` - the token to be returned on success
    `escapeCharacter` - the escape character

### MultiLineRule

    public MultiLineRule(String startSequence,
                         String endSequence,
                         IToken token,
                         char escapeCharacter,
                         boolean breaksOnEOF)

  Creates a rule for the given starting and ending sequence which, if detected, will return the specific token. Any character that follows the given escape character will be ignored. `breakOnEOF` indicates whether EOF is equivalent to detecting the `endSequence`.

  Parameters:
    `startSequence` - the pattern's start sequence
    `endSequence` - the pattern's end sequence
    `token` - the token to be returned on success
    `escapeCharacter` - the escape character
    `breaksOnEOF` - indicates whether the end of the file terminates this rule successfully
  Since:
    2.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.